package com.zcloud.service.eightwork.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.eightwork.ConfinedSpaceGasMapper;
import com.zcloud.service.eightwork.ConfinedSpaceGasService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：有限气体检测
 * 作者：luoxiaobao
 * 时间：2021-09-13
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class ConfinedSpaceGasServiceImpl implements ConfinedSpaceGasService {

	@Autowired
	private ConfinedSpaceGasMapper confinedspacegasMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		confinedspacegasMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		confinedspacegasMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		confinedspacegasMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return confinedspacegasMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return confinedspacegasMapper.listAll(pd);
	}



	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return confinedspacegasMapper.findById(pd);
	}

	public PageData gasEdit(PageData pd)throws Exception{
		return confinedspacegasMapper.gasEdit(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		confinedspacegasMapper.deleteAll(ArrayDATA_IDS);
	}

}

